findBottom {oce} | R Documentation

## Find the ocean bottom in an echosounder object

### Description

Find the ocean bottom in an echosounder object

### Usage

    findBottom(x, ignore=5, clean=despike)

### Arguments

`x` | an object of class `echosounder`
`ignore` | number of metres of data to ignore, near the surface
`clean` | a function to clean the inferred depth of spikes

### Details

Finds the depth in a Biosonics echosounder file, by finding the strongest reflector and smoothing its trace.

### Value

A list with elements: the `time` of a ping, the `depth` of the inferred depth in metres, and the `index` of the inferred bottom location, referenced to the object's `depth` vector.

### Author(s)

Dan Kelley

### See Also

The documentation for `echosounder-class` explains the structure of `echosounder` objects, and also outlines the other functions dealing with them.

[Package oce version 0.9-18 Index]